"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MetamaskWarning = void 0;
const react_1 = __importDefault(require("react"));
const core_1 = require("@material-ui/core");
const MetamaskWarning_style_1 = require("../../components/MetamaskWarning/MetamaskWarning.style");
const constants_1 = require("../../constants");
const components_1 = require("../../components");
const MetamaskWarning = () => {
    const classes = MetamaskWarning_style_1.useStyles();
    return (react_1.default.createElement("div", { className: classes.container },
        react_1.default.createElement(components_1.ModalHeader, null),
        react_1.default.createElement("div", { className: classes.wrapper },
            react_1.default.createElement(core_1.Box, { className: classes.title },
                "Oops! ",
                react_1.default.createElement("br", null),
                " Looks like you don't have metamask installed."),
            react_1.default.createElement(core_1.Box, { className: classes.metamaskImgWrapper },
                react_1.default.createElement("img", { className: classes.metamaskImg, src: constants_1.METAMASK_IMAGE_URL })),
            react_1.default.createElement(components_1.Button, { label: "Install Metamask", onClick: () => {
                    window.open(constants_1.METAMASK_URL, "_blank");
                }, fullWidth: true, bgColor: "linear-gradient(98deg, rgba(0,120,255,1) 0%, rgba(126,0,255,1) 100%)" }))));
};
exports.MetamaskWarning = MetamaskWarning;
//# sourceMappingURL=MetamaskWarning.js.map