"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getColorFromStatus = exports.EFontSize = exports.EFontWeight = exports.EButtonStatus = exports.EStatusColor = exports.colors = void 0;
exports.colors = {
    WHITE: "#FFFFFF",
    BLACK: "#000000",
    STATUS_GREEN: "#00C3A9",
    STATUS_RED: "#D32F2F",
    STATUS_BLUE: "#0078FF",
    BACKGROUND_GREY: "#F9F9F9",
    MAIN_TEXT_BLACK: "#1D1D1D",
    BOX_BORDER_COLOR: "#F6F6F6",
    STATUS_GREY: "#676767",
};
var EStatusColor;
(function (EStatusColor) {
    EStatusColor["IDLE"] = "IDLE";
    EStatusColor["SUCCESS"] = "SUCCESS";
    EStatusColor["DANGER"] = "DANGER";
    EStatusColor["PRIMARY"] = "PRIMARY";
})(EStatusColor = exports.EStatusColor || (exports.EStatusColor = {}));
var EButtonStatus;
(function (EButtonStatus) {
    EButtonStatus[EButtonStatus["primary"] = 0] = "primary";
    EButtonStatus[EButtonStatus["secondary"] = 1] = "secondary";
    EButtonStatus[EButtonStatus["link"] = 2] = "link";
})(EButtonStatus = exports.EButtonStatus || (exports.EButtonStatus = {}));
var EFontWeight;
(function (EFontWeight) {
    EFontWeight[EFontWeight["LIGHT"] = 300] = "LIGHT";
    EFontWeight[EFontWeight["REGULAR"] = 400] = "REGULAR";
    EFontWeight[EFontWeight["MEDIUM"] = 500] = "MEDIUM";
    EFontWeight[EFontWeight["SEMI_BOLD"] = 600] = "SEMI_BOLD";
    EFontWeight[EFontWeight["BOLD"] = 700] = "BOLD";
})(EFontWeight = exports.EFontWeight || (exports.EFontWeight = {}));
var EFontSize;
(function (EFontSize) {
    EFontSize["BASE"] = "1rem";
    EFontSize["H1"] = "1.5rem";
    EFontSize["H2"] = "1.17rem";
    EFontSize["H3"] = "1.15rem";
    EFontSize["H4"] = "1.12rem";
    EFontSize["H5"] = ".875rem";
    EFontSize["H6"] = ".75rem";
})(EFontSize = exports.EFontSize || (exports.EFontSize = {}));
const getColorFromStatus = (status) => {
    switch (status) {
        case EStatusColor.DANGER:
            return exports.colors.STATUS_RED;
        case EStatusColor.PRIMARY:
            return exports.colors.STATUS_BLUE;
        case EStatusColor.SUCCESS:
            return exports.colors.STATUS_GREEN;
        case EStatusColor.IDLE:
            return exports.colors.STATUS_GREY;
        default:
            return exports.colors.WHITE;
    }
};
exports.getColorFromStatus = getColorFromStatus;
//# sourceMappingURL=theme.js.map